<?php
$settings = get_option( 'csp_admin_settings' );
$heading = (isset($settings['heading'])) ? $settings['heading'] : 'Get Notified!' ;
$gdpr_message = (isset($settings['gdpr_message'])) ? $settings['gdpr_message'] : '' ;
$btn_text = (isset($settings['btn_text'])) ? $settings['btn_text'] : 'SUBMIT' ;
$placeholder = (isset($settings['placeholder'])) ? $settings['placeholder'] : 'Your Email...' ;
$btn_color = (isset($settings['btn_color'])) ? $settings['btn_color'] : '' ;
$btn_color_h = (isset($settings['btn_color_h'])) ? $settings['btn_color_h'] : '' ;
$input_clr = (isset($settings['input_clr'])) ? $settings['input_clr'] : '' ;
$form_bg = (isset($settings['form_bg'])) ? $settings['form_bg'] : '' ;
$shadow = (isset($settings['shadow'])) ? $settings['shadow'] : '0px 0px 8px 1px rgba(0, 0, 0, 0.4)' ;
?>
<div class="wccs-parent-wrapper">
<form id="save-email" data-id="<?php echo intval($product_id); ?>">
  <div class="subscribe-wrapper">
    <h4><?php echo esc_attr($heading); ?></h4>
    <?php
    	if ($gdpr_message != '') { ?>
    	<div class="wccs-gdpr">
			<label><input type="checkbox" required><?php echo stripcslashes($gdpr_message); ?></label>
    	</div>
    	<?php }
    ?>
    <input type="email" name="email" required class="subscribe-input wccs-email" placeholder="<?php echo esc_attr($placeholder); ?>">
    <input type="submit" class="submit-btn" value="<?php echo esc_attr($btn_text); ?>">
  </div>
  </form>
</div>

<style>
.subscribe-wrapper:after {
  position: absolute;
  content: "";
  right: -10px;
  bottom: 71px;
  width: 0;
  height: 0;
  border-left: 0px solid transparent;
  border-right: 10px solid transparent;
  border-bottom: 10px solid #7149c7;
}
	.wccs-parent-wrapper .submit-btn {
		background-color: <?php echo esc_attr($btn_color); ?> !important;
	}
	.wccs-parent-wrapper .submit-btn:hover {
		background-color: <?php echo esc_attr($btn_color_h); ?> !important;
	}
	.subscribe-wrapper:after {
		border-bottom-color: <?php echo esc_attr($btn_color); ?> !important;
		opacity: 0.6;
		bottom: 73px;
	}
	.subscribe-wrapper .subscribe-input:focus {
		border-bottom-color: <?php echo esc_attr($btn_color); ?> !important;
	}
	.subscribe-wrapper {
		background-color: <?php echo esc_attr($form_bg); ?> !important;
		box-shadow: <?php echo esc_attr($shadow); ?> !important;
	}
	.subscribe-input{
		background-color: <?php echo esc_attr($input_clr); ?> !important;
	}
	@media only screen and (max-width: 600px) {
		.subscribe-wrapper h4{
			font-size: 15px;
		}
		.wccs-gdpr {
			font-size: 10px;
			margin-bottom: 50px;	
		}
	}
</style>