<?php
$settings = get_option( 'csp_admin_settings' );
$heading = (isset($settings['heading'])) ? $settings['heading'] : 'Get Notified!' ;
$gdpr_message = (isset($settings['gdpr_message'])) ? $settings['gdpr_message'] : '' ;
$btn_text = (isset($settings['btn_text'])) ? $settings['btn_text'] : 'SUBMIT' ;
$placeholder = (isset($settings['placeholder'])) ? $settings['placeholder'] : 'Your Email...' ;
$btn_color = (isset($settings['btn_color'])) ? $settings['btn_color'] : '' ;
$btn_color_h = (isset($settings['btn_color_h'])) ? $settings['btn_color_h'] : '' ;
$btn_font_clr = (isset($settings['btn_font_clr'])) ? $settings['btn_font_clr'] : '' ;
$input_clr = (isset($settings['input_clr'])) ? $settings['input_clr'] : '' ;
$form_bg = (isset($settings['form_bg'])) ? $settings['form_bg'] : '' ;
$shadow = (isset($settings['shadow'])) ? $settings['shadow'] : '0px 0px 8px 1px rgba(0, 0, 0, 0.4)' ;
?>
<div class="wccs-parent-wrapper">
<form id="save-email" data-id="<?php echo esc_attr( $product_id ); ?>">
  <div class="subscribe-wrapper">
    <h4><?php echo esc_attr($heading); ?></h4>
    <?php
    	if ($gdpr_message != '') { ?>
    	<div class="wccs-gdpr">
			<label><input type="checkbox" required><?php echo stripcslashes($gdpr_message); ?></label>
    	</div>
    	<?php }
    ?>
    <div class="email-box">
    <input id="email-input" type="email" name="email" required  placeholder="<?php echo esc_attr( $placeholder ); ?>">
    <input type="submit" class=" email-btn"  value="<?php echo esc_attr( $btn_text ); ?>">
    </div>
  </div>
  </form>
</div>
<style>

	.wccs-parent-wrapper .email-btn {
		background-color: <?php echo esc_attr($btn_color); ?> !important;
	}
	.wccs-parent-wrapper .email-btn:hover {
		background-color: <?php echo esc_attr($btn_color_h); ?> !important;
	}
	.subscribe-wrapper:after {
		border-bottom-color: <?php echo esc_attr($btn_color); ?> !important;
		opacity: 0.6;
		bottom: 73px;
	}
	.subscribe-wrapper .email-input:focus {
		border-bottom-color: <?php echo esc_attr($btn_color); ?> !important;
	}
	.subscribe-wrapper {
		background-color: <?php echo esc_attr($form_bg); ?> !important;
		box-shadow: <?php echo esc_attr($shadow); ?> !important;
		border-radius: 20px;
	}
	.email-box{
		display: flex;
		justify-content:center;
	}
	#email-input{
		outline: none;
		width: 250px;
		background-color: <?php echo esc_attr($input_clr); ?> !important;
		border-radius:25px;
		transition:0.6s;
	}
	.email-btn{
		border: none;
		outline: none;
		width: 100px;
		height: 44px;
		border-radius: 25px;
		color:<?php echo esc_attr($btn_font_clr); ?> !important;
		box-shadow: <?php echo esc_attr($shadow); ?> !important;
		position: absolute;
		right: 80px
	}
	#email-input:focus{
		width: 320px;
	}
	@media only screen and (max-width: 600px) {
		.email-btn {
			position: absolute;
			right: 5px;
	  	}
		.wccs-parent-wrapper{	
	  		width: 90%;
	  	}
		.subscribe-wrapper h4{
			font-size: 15px;
		}
		.wccs-gdpr {
			font-size: 10px;	
		}
	}

</style>