<?php
$csdata = get_post_meta( $product->ID, 'wcp_meta', true );
$checked = (isset($csdata['enable'])) ? $csdata['enable'] : '' ;
$email = (isset($csdata['email'])) ? $csdata['email'] : '' ;
$disable_timer = (isset($csdata['disable_timer'])) ? $csdata['disable_timer'] : '' ;
$settings = get_option( 'csp_admin_settings' );
?>
<label>
	<input id="enable-csp" type="checkbox" <?php checked( $checked , 'on' ); ?> name="wcp_meta[enable]">
	<?php _e( 'Enable Coming Soon Mode', 'wccs' ); ?>
</label>
<div class="wcp-slidedown">
	<p>
		<label>
			<?php _e( 'Select Date of Release', 'wccs' ); ?>
			<input type="text" class="widefat" name="wcp_meta[time]" id="wcp-date-picker" value="<?php echo (isset($csdata['time'])) ? $csdata['time'] : '' ; ?>">
			<span class="description"><?php _e( 'Should be in GMT', 'wccs' ); ?></span>
		</label>
	</p>
	<p>
		<label>
			<?php _e( 'Coming Soon Text', 'wccs' ); ?>
			<input type="text" class="widefat" name="wcp_meta[text]" value="<?php echo (isset($csdata['text'])) ? $csdata['text'] : '' ; ?>">
			<span class="description"><?php _e( 'It will show above the clock', 'wccs' ); ?></span>
		</label>
	</p>
	<p>
		<label>
			<input id="enable-emails" type="checkbox" <?php checked( $email , 'on' ); ?> name="wcp_meta[email]">
			<?php _e( 'Enable Email Subscription', 'wccs' ); ?>
		</label>
	</p>
	<div class="wcp-email-info">
		<p>
			<?php _e( 'By default, all email addresses will be saved into the meta of this product and you can see them in the Subscribers Box below.', 'wccs' ); ?>
		</p>
		<?php if (isset($settings['mc_api_key']) && $settings['mc_api_key'] != '') {
			$MailChimp = new WCCS_MailChimp(trim($settings['mc_api_key']));
			$mc_lists = $MailChimp->get('lists');
			$saved_list = (isset($csdata['mc_list_id'])) ? $csdata['mc_list_id'] : '';
		?>
		<p>
			<?php _e( 'You can also auto-subscribe them into your MailChimp Emails List by choosing the list below. ', 'wccs' ); ?>
			<br>
			<label>
				<?php _e( 'MailChimp List', 'wccs' ); ?>
			</label>
			<select name="wcp_meta[mc_list_id]" class="widefat">
				<option <?php echo ($saved_list == 'disable') ? 'selected' : '' ; ?> value="disable"><?php _e( 'Disable', 'wccs' ); ?></option>
				<?php if (isset($mc_lists['lists']) && !empty($mc_lists['lists'])) {
					foreach ($mc_lists['lists'] as $list) { ?>
							<option <?php echo ($saved_list == $list['id']) ? 'selected' : '' ; ?> value="<?php echo esc_attr( $list['id'] ); ?>"><?php echo esc_attr($list['name']); ?></option>	
					<?php }
				} ?>
			</select>
			<span class="description"><?php _e( 'Choose the MailChimp list for the users to subscribe automatically', 'wccs' ); ?></span>
		</p>
		<?php } ?>
		<p>
			<b><?php _e( 'Email Notification for Subscribers', 'wccs' ); ?></b>
		</p>
		<p>
			<?php _e( 'When the countdown timer will finish, following email will be sent to all subscribers of this product.', 'wccs' ); ?>
		</p>
		<p>
			<label>
			<?php _e( 'Email Subject', 'wccs' ); ?>
				<input type="text" class="widefat" name="wcp_meta[emailsubject]" value="<?php echo (isset($csdata['emailsubject'])) ? $csdata['emailsubject'] : '' ; ?>">
			</label>
		</p>
		<p>
			<label>
			<?php _e( 'Sender Email (Your email address)', 'wccs' ); ?>
				<input type="text" name="wcp_meta[emailfrom]" class="widefat" value="<?php echo (isset($csdata['emailfrom'])) ? $csdata['emailfrom'] : '' ; ?>">
				<span class="description"><?php _e( 'You will also receive a copy of email', 'wccs' ); ?></span>
			</label>
		</p>
		<p>
			<label>
				<?php _e( 'Email Message', 'wccs' ); ?>
				<textarea name="wcp_meta[emailtext]" class="widefat"><?php echo (isset($csdata['emailtext'])) ? stripslashes($csdata['emailtext']) : '' ; ?></textarea>
				<span class="description"><?php _e( 'You can also use HTML code here', 'wccs' ); ?></span>
			</label>
		</p>
	</div>
	<p>
		<label>
			<input type="checkbox" <?php checked( $disable_timer , 'on' ); ?> name="wcp_meta[disable_timer]">
			<?php _e( 'Disable Countdown Timer', 'wccs' ); ?>
		</label>
	</p>
	<p>
		<a target="_blank" href="<?php echo admin_url('admin.php?page=cs_product'); ?>">Manage other settings</a>
	</p>
</div>