<?php

$settings_arr = array(
	array(
	    'panel_title'   =>  __( 'General Settings', 'wccs' ),
	    'panel_id'   =>  'general-settings',
	    'icon'   =>  '<span class="dashicons dashicons-admin-settings"></span>',

	    'fields'        => array(
	        array(
	            'type' => 'checkbox',
	            'name' => 'price',
	            'title' => __( 'Price', 'wccs' ),
	            'help' => __( 'Checking this will hide the price when the product is in Coming Soon Mode', 'wccs' ),
	        ),
	        array(
	            'type' => 'checkbox',
	            'name' => 'tabs',
	            'title' => __( 'Tabs (Description, Reviews)', 'wccs' ),
	            'help' => __( 'Checking this will hide product tabs when the product is in Coming Soon Mode', 'wccs' ),
	        ),
	        array(
	            'type' => 'checkbox',
	            'name' => 'sorting',
	            'title' => __( 'Sorting on Shop', 'wccs' ),
	            'help' => __( 'Checking this will disable sorting options on shop pages', 'wccs' ),
	        ),
	        array(
	            'type' => 'textarea',
	            'name' => 'desc',
	            'title' => __( 'Short Description', 'wccs' ),
	            'help' => __( 'It will replace default Short Description of Product, when it is in Coming Soon Mode', 'wccs' ),
	        ),
	    ),
	),

	array(
	    'panel_title'   =>  __( 'CountDown Clock', 'wccs' ),
	    'panel_id'   =>  'clock',
	    'icon'   =>  '<span class="dashicons dashicons-clock"></span>',

	    'fields'        => array(
	        array(
	            'type' => 'checkbox',
	            'name' => 'visibility',
	            'title' => __( 'Clock Visibility', 'wccs' ),
	            'help' => __( 'Checking this will disable the clock from all pages', 'wccs' ),
	        ),
	        array(
	            'type' => 'color',
	            'name' => 'clock',
	            'title' => __( 'Clock Color', 'wccs' ),
	            'help' => __( 'Countdown clock color (Default: #333333)', 'wccs' ),
	        ),
	        array(
	            'type' => 'color',
	            'name' => 'number',
	            'title' => __( 'Numbers Color', 'wccs' ),
	            'help' => __( 'Countdown clock numbers color (Default: #CCCCCC)', 'wccs' ),
	        ),
	    ),
	),

	array(
	    'panel_title'   =>  __( 'Subscribe Form', 'wccs' ),
	    'panel_id'   =>  'sub-form',
	    'icon'   =>  '<span class="dashicons dashicons-feedback"></span>',

	    'fields'        => array(
	        array(
	            'type' => 'text',
	            'name' => 'heading',
	            'title' => __( 'Heading', 'wccs' ),
	            'help' => __( 'Provide heading for the subscription form', 'wccs' ),
	        ),
	        array(
	            'type' => 'text',
	            'name' => 'btn_text',
	            'title' => __( 'Button Text', 'wccs' ),
	            'help' => __( 'Provide text for the button', 'wccs' ),
	        ),
	        array(
	            'type' => 'text',
	            'name' => 'placeholder',
	            'title' => __( 'Placeholder Text', 'wccs' ),
	            'help' => __( 'Provide placeholder for the email field', 'wccs' ),
	        ),
	        array(
	            'type' => 'textarea',
	            'name' => 'gdpr_message',
	            'title' => __( 'GDPR Message', 'wccs' ),
	            'help' => __( 'Provide the message to display with the contact form with a required checkbox', 'wccs' ),
	        ),
	        array(
	            'type' => 'color',
	            'name' => 'btn_color',
	            'title' => __( 'Button Color', 'wccs' ),
	            'help' => __( 'Choose the subscribe button color', 'wccs' ),
	        ),
	        array(
	            'type' => 'color',
	            'name' => 'btn_color_h',
	            'title' => __( 'Button Color Hover', 'wccs' ),
	            'help' => __( 'Choose the subscribe button color for hover state', 'wccs' ),
	        ),

	        array(
	            'type' => 'color',
	            'name' => 'btn_font_clr',
	            'title' => __( 'Button font color', 'wccs' ),
	            'help' => __( 'Choose the subscribe button font color ', 'wccs' ),
	        ),	        
	        array(
	            'type' => 'color',
	            'name' => 'input_clr',
	            'title' => __( 'Input  background color', 'wccs' ),
	            'help' => __( 'Choose the input background color ', 'wccs' ),
	        ),
	        array(
	            'type' => 'color',
	            'name' => 'form_bg',
	            'title' => __( 'Form Background', 'wccs' ),
	            'help' => __( 'Choose the form background color', 'wccs' ),
	        ),
	        array(
	            'type' => 'text',
	            'name' => 'shadow',
	            'title' => __( 'Shadow', 'wccs' ),
	            'help' => __( 'Provide the form shadow values', 'wccs' ),
	        ),
	        array(
	            'type' => 'select',
	            'name' => 'formstyle',
	            'title' => __( 'Form Style', 'wccs' ),
	            'options' => array(
	            	'1' => __( 'Style 1', 'wccs' ),
	            	'2' => __( 'Style 2', 'wccs' ),
	            	'3' => __( 'Style 3', 'wccs' ),
	            ),
	            'help' => __( 'Choose the style of subscribe form', 'wccs' ),
	        ),
	    ),
	),

	array(
	    'panel_title'   =>  __( 'Admin Notifications', 'wccs' ),
	    'panel_id'   =>  'notifications',
	    'icon'   =>  '<span class="dashicons dashicons-info"></span>',

	    'fields'        => array(
	        array(
	            'type' => 'text',
	            'name' => 'admin_email',
	            'title' => __( 'Admin Email', 'wccs' ),
	            'help' => __( 'An email will be sent here whenever someone subscribes', 'wccs' ),
	        ),
	        array(
	            'type' => 'text',
	            'name' => 'admin_subject',
	            'title' => __( 'Subject', 'wccs' ),
	            'help' => __( 'Provide email subject here', 'wccs' ),
	        ),
	        array(
	            'type' => 'textarea',
	            'name' => 'admin_message',
	            'title' => __( 'Email Markup', 'wccs' ),
	            'help' => __( 'Provide the email markup here. You can also use these special tags', 'wccs' ).
	            '<br><code>%USER_EMAIL%</code>, <code>%PRODUCT_URL%</code>, <code>%PRODUCT_ID%</code>, <code>%PRODUCT_NAME%</code>,',
	        ),
	    ),
	),

	array(
	    'panel_title'   =>  __( 'MailChimp', 'wccs' ),
	    'panel_id'   =>  'mailchimp',
	    'icon'   =>  '<span class="dashicons dashicons-email-alt"></span>',

	    'fields'        => array(
	        array(
	            'type' => 'text',
	            'name' => 'mc_api_key',
	            'title' => __( 'MailChimp API Key', 'wccs' ),
	            'help' => __( 'Provide the MailChimp API key here to enable auto subscriptions', 'wccs' ),
	        ),
	    ),
	),

	array(
	    'panel_title'   =>  __( 'Advanced', 'wccs' ),
	    'panel_id'   =>  'advanced',
	    'icon'   =>  '<span class="dashicons dashicons-admin-generic"></span>',

	    'fields'        => array(
	        array(
	            'type' => 'text',
	            'name' => 'render_clock_single_action',
	            'title' => __( 'Single Product Page Clock Hook', 'wccs' ),
	            'help' => __( 'Provide action hook to render the clock on product page', 'wccs' ),
	        ),
	        array(
	            'type' => 'text',
	            'name' => 'render_form_single_action',
	            'title' => __( 'Single Product Page Form Hook', 'wccs' ),
	            'help' => __( 'Provide action hook to render the form on product page', 'wccs' ),
	        ),
	        array(
	            'type' => 'text',
	            'name' => 'render_clock_loop_action',
	            'title' => __( 'Archive Product Pages Clock Hook', 'wccs' ),
	            'help' => __( 'Provide action hook to render the clock on product archives', 'wccs' ),
	        ),
	    ),
	),

);

?>
<div class="wrap">
	<h2><?php _e( 'Coming Soon Product Settings', 'wccs' ); ?></h2>
	<form id="wccs-settings-form">
	<input type="hidden" name="action" value="csp_save_admin_settings">
	<nav class="nav-tab-wrapper woo-nav-tab-wrapper">
		<?php foreach ($settings_arr as $key => $panel) { ?>
			<a href="#<?php echo esc_attr( $panel['panel_id'] ); ?>" class="nav-tab <?php echo ($key == 0) ? 'nav-tab-active' : '' ; ?>">
				<?php echo wp_kses( $panel['icon'], array('span' => array('class' => true)) ).' '.esc_attr( $panel['panel_title'] ); ?>
			</a>
		<?php } ?>
	</nav>

	<div class="wccs-settings-wrapper">
		<?php foreach ($settings_arr as $key => $panel) { ?>
			<div id="<?php echo esc_attr( $panel['panel_id'] ); ?>" class="wcp-panel">
				<table class="form-table widefat">
					<?php foreach ($panel['fields'] as $field_key => $field) { ?>
						<tr>
							<td><strong><?php echo esc_attr( $field['title'] ); ?></strong></td>
							<td><?php $this->render_settings_field($field); ?></td>
							<td><p class="description"><?php echo wp_kses( $field['help'], array('code' =>array(), 'br' => array())); ?></p></td>
						</tr>
					<?php } ?>
				</table>
			</div>
		<?php } ?>
	</div>


	<br>
	<input type="submit" class="button button-primary" value="<?php _e( 'Save Settings', 'wccs' ); ?>">
	</form>
</div>